export declare class WorkTracker {
    minDelayInMs: number;
    private _activePromises;
    private _isComplete;
    constructor(complete?: boolean, minDelayInMs?: number);
    readonly complete: boolean;
    track<T>(promise: Promise<T>): Promise<T>;
    private trackInternal<T>(promise, minDelay?);
    private updateIsComplete();
}
